package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpWarehouse {
   @TableId
   private Long id;
   private Long warehouseId;
   private String warehouseNum;
   private String warehouseName;
   private Integer delFlag;
   @ApiModelProperty("仓库管理员id")
   private Long userId;
   @ApiModelProperty("区域-省")
   private String regionProvince;
   @ApiModelProperty("区域-市")
   private String regionCity;
   @ApiModelProperty("区域-区")
   private String regionDistrict;
   @ApiModelProperty("详细地址")
   private String address;
   @ApiModelProperty("状态（1禁用，2正常）")
   private Integer status;
   @ApiModelProperty("仓库类别id")
   private Long typeId;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("仓库类型 1原料 2商品")
   private Integer warehouseType;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("是否启用库区（1是2否）")
   private Integer ifUseWarehouseArea;
   @ApiModelProperty("是否启用库位（1是2否）")
   private Integer ifUseWarehouseLocation;
   @ApiModelProperty("父级ID")
   private Long parentId;
   @ApiModelProperty("食堂ID")
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   private Long canteenId;
   @ApiModelProperty("领料人")
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   private Long fetchUserId;

   public Long getId() {
      return this.id;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseNum() {
      return this.warehouseNum;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getRegionProvince() {
      return this.regionProvince;
   }

   public String getRegionCity() {
      return this.regionCity;
   }

   public String getRegionDistrict() {
      return this.regionDistrict;
   }

   public String getAddress() {
      return this.address;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getWarehouseType() {
      return this.warehouseType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Integer getIfUseWarehouseArea() {
      return this.ifUseWarehouseArea;
   }

   public Integer getIfUseWarehouseLocation() {
      return this.ifUseWarehouseLocation;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getFetchUserId() {
      return this.fetchUserId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseNum(final String warehouseNum) {
      this.warehouseNum = warehouseNum;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setRegionProvince(final String regionProvince) {
      this.regionProvince = regionProvince;
   }

   public void setRegionCity(final String regionCity) {
      this.regionCity = regionCity;
   }

   public void setRegionDistrict(final String regionDistrict) {
      this.regionDistrict = regionDistrict;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setWarehouseType(final Integer warehouseType) {
      this.warehouseType = warehouseType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setIfUseWarehouseArea(final Integer ifUseWarehouseArea) {
      this.ifUseWarehouseArea = ifUseWarehouseArea;
   }

   public void setIfUseWarehouseLocation(final Integer ifUseWarehouseLocation) {
      this.ifUseWarehouseLocation = ifUseWarehouseLocation;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setFetchUserId(final Long fetchUserId) {
      this.fetchUserId = fetchUserId;
   }

}
